//
//  EDAMNoteStoreClient+PrivateMethods.h
//  Category to show hidden send_*, recv_* methods
//
//  Created by conv.php on 2012/02/09 21:05:08.
//  Copyright (c) 2012 Kentaro ISHITOYA. All rights reserved.
//

#import "NoteStore.h"	
@interface EDAMNoteStoreClient(PrivateMethods)
- (void) send_getSyncState: (NSString *) authenticationToken;
- (EDAMSyncState *) recv_getSyncState;
- (void) send_getSyncChunk: (NSString *) authenticationToken : (int32_t) afterUSN : (int32_t) maxEntries : (BOOL) fullSyncOnly;
- (EDAMSyncChunk *) recv_getSyncChunk;
- (void) send_getFilteredSyncChunk: (NSString *) authenticationToken : (int32_t) afterUSN : (int32_t) maxEntries : (EDAMSyncChunkFilter *) filter;
- (EDAMSyncChunk *) recv_getFilteredSyncChunk;
- (void) send_getLinkedNotebookSyncState: (NSString *) authenticationToken : (EDAMLinkedNotebook *) linkedNotebook;
- (EDAMSyncState *) recv_getLinkedNotebookSyncState;
- (void) send_getLinkedNotebookSyncChunk: (NSString *) authenticationToken : (EDAMLinkedNotebook *) linkedNotebook : (int32_t) afterUSN : (int32_t) maxEntries : (BOOL) fullSyncOnly;
- (EDAMSyncChunk *) recv_getLinkedNotebookSyncChunk;
- (void) send_listNotebooks: (NSString *) authenticationToken;
- (NSMutableArray *) recv_listNotebooks;
- (void) send_getNotebook: (NSString *) authenticationToken : (EDAMGuid) guid;
- (EDAMNotebook *) recv_getNotebook;
- (void) send_getDefaultNotebook: (NSString *) authenticationToken;
- (EDAMNotebook *) recv_getDefaultNotebook;
- (void) send_createNotebook: (NSString *) authenticationToken : (EDAMNotebook *) notebook;
- (EDAMNotebook *) recv_createNotebook;
- (void) send_updateNotebook: (NSString *) authenticationToken : (EDAMNotebook *) notebook;
- (int32_t) recv_updateNotebook;
- (void) send_expungeNotebook: (NSString *) authenticationToken : (EDAMGuid) guid;
- (int32_t) recv_expungeNotebook;
- (void) send_listTags: (NSString *) authenticationToken;
- (NSMutableArray *) recv_listTags;
- (void) send_listTagsByNotebook: (NSString *) authenticationToken : (EDAMGuid) notebookGuid;
- (NSMutableArray *) recv_listTagsByNotebook;
- (void) send_getTag: (NSString *) authenticationToken : (EDAMGuid) guid;
- (EDAMTag *) recv_getTag;
- (void) send_createTag: (NSString *) authenticationToken : (EDAMTag *) tag;
- (EDAMTag *) recv_createTag;
- (void) send_updateTag: (NSString *) authenticationToken : (EDAMTag *) tag;
- (int32_t) recv_updateTag;
- (void) send_untagAll: (NSString *) authenticationToken : (EDAMGuid) guid;
- (void) recv_untagAll;
- (void) send_expungeTag: (NSString *) authenticationToken : (EDAMGuid) guid;
- (int32_t) recv_expungeTag;
- (void) send_listSearches: (NSString *) authenticationToken;
- (NSMutableArray *) recv_listSearches;
- (void) send_getSearch: (NSString *) authenticationToken : (EDAMGuid) guid;
- (EDAMSavedSearch *) recv_getSearch;
- (void) send_createSearch: (NSString *) authenticationToken : (EDAMSavedSearch *) search;
- (EDAMSavedSearch *) recv_createSearch;
- (void) send_updateSearch: (NSString *) authenticationToken : (EDAMSavedSearch *) search;
- (int32_t) recv_updateSearch;
- (void) send_expungeSearch: (NSString *) authenticationToken : (EDAMGuid) guid;
- (int32_t) recv_expungeSearch;
- (void) send_findNotes: (NSString *) authenticationToken : (EDAMNoteFilter *) filter : (int32_t) offset : (int32_t) maxNotes;
- (EDAMNoteList *) recv_findNotes;
- (void) send_findNoteOffset: (NSString *) authenticationToken : (EDAMNoteFilter *) filter : (EDAMGuid) guid;
- (int32_t) recv_findNoteOffset;
- (void) send_findNotesMetadata: (NSString *) authenticationToken : (EDAMNoteFilter *) filter : (int32_t) offset : (int32_t) maxNotes : (EDAMNotesMetadataResultSpec *) resultSpec;
- (EDAMNotesMetadataList *) recv_findNotesMetadata;
- (void) send_findNoteCounts: (NSString *) authenticationToken : (EDAMNoteFilter *) filter : (BOOL) withTrash;
- (EDAMNoteCollectionCounts *) recv_findNoteCounts;
- (void) send_getNote: (NSString *) authenticationToken : (EDAMGuid) guid : (BOOL) withContent : (BOOL) withResourcesData : (BOOL) withResourcesRecognition : (BOOL) withResourcesAlternateData;
- (EDAMNote *) recv_getNote;
- (void) send_getNoteApplicationData: (NSString *) authenticationToken : (EDAMGuid) guid;
- (EDAMLazyMap *) recv_getNoteApplicationData;
- (void) send_getNoteApplicationDataEntry: (NSString *) authenticationToken : (EDAMGuid) guid : (NSString *) key;
- (NSString *) recv_getNoteApplicationDataEntry;
- (void) send_setNoteApplicationDataEntry: (NSString *) authenticationToken : (EDAMGuid) guid : (NSString *) key : (NSString *) value;
- (int32_t) recv_setNoteApplicationDataEntry;
- (void) send_unsetNoteApplicationDataEntry: (NSString *) authenticationToken : (EDAMGuid) guid : (NSString *) key;
- (int32_t) recv_unsetNoteApplicationDataEntry;
- (void) send_getNoteContent: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSString *) recv_getNoteContent;
- (void) send_getNoteSearchText: (NSString *) authenticationToken : (EDAMGuid) guid : (BOOL) noteOnly : (BOOL) tokenizeForIndexing;
- (NSString *) recv_getNoteSearchText;
- (void) send_getResourceSearchText: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSString *) recv_getResourceSearchText;
- (void) send_getNoteTagNames: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSMutableArray *) recv_getNoteTagNames;
- (void) send_createNote: (NSString *) authenticationToken : (EDAMNote *) note;
- (EDAMNote *) recv_createNote;
- (void) send_updateNote: (NSString *) authenticationToken : (EDAMNote *) note;
- (EDAMNote *) recv_updateNote;
- (void) send_deleteNote: (NSString *) authenticationToken : (EDAMGuid) guid;
- (int32_t) recv_deleteNote;
- (void) send_expungeNote: (NSString *) authenticationToken : (EDAMGuid) guid;
- (int32_t) recv_expungeNote;
- (void) send_expungeNotes: (NSString *) authenticationToken : (NSMutableArray *) noteGuids;
- (int32_t) recv_expungeNotes;
- (void) send_expungeInactiveNotes: (NSString *) authenticationToken;
- (int32_t) recv_expungeInactiveNotes;
- (void) send_copyNote: (NSString *) authenticationToken : (EDAMGuid) noteGuid : (EDAMGuid) toNotebookGuid;
- (EDAMNote *) recv_copyNote;
- (void) send_listNoteVersions: (NSString *) authenticationToken : (EDAMGuid) noteGuid;
- (NSMutableArray *) recv_listNoteVersions;
- (void) send_getNoteVersion: (NSString *) authenticationToken : (EDAMGuid) noteGuid : (int32_t) updateSequenceNum : (BOOL) withResourcesData : (BOOL) withResourcesRecognition : (BOOL) withResourcesAlternateData;
- (EDAMNote *) recv_getNoteVersion;
- (void) send_getResource: (NSString *) authenticationToken : (EDAMGuid) guid : (BOOL) withData : (BOOL) withRecognition : (BOOL) withAttributes : (BOOL) withAlternateData;
- (EDAMResource *) recv_getResource;
- (void) send_getResourceApplicationData: (NSString *) authenticationToken : (EDAMGuid) guid;
- (EDAMLazyMap *) recv_getResourceApplicationData;
- (void) send_getResourceApplicationDataEntry: (NSString *) authenticationToken : (EDAMGuid) guid : (NSString *) key;
- (NSString *) recv_getResourceApplicationDataEntry;
- (void) send_setResourceApplicationDataEntry: (NSString *) authenticationToken : (EDAMGuid) guid : (NSString *) key : (NSString *) value;
- (int32_t) recv_setResourceApplicationDataEntry;
- (void) send_unsetResourceApplicationDataEntry: (NSString *) authenticationToken : (EDAMGuid) guid : (NSString *) key;
- (int32_t) recv_unsetResourceApplicationDataEntry;
- (void) send_updateResource: (NSString *) authenticationToken : (EDAMResource *) resource;
- (int32_t) recv_updateResource;
- (void) send_getResourceData: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSData *) recv_getResourceData;
- (void) send_getResourceByHash: (NSString *) authenticationToken : (EDAMGuid) noteGuid : (NSData *) contentHash : (BOOL) withData : (BOOL) withRecognition : (BOOL) withAlternateData;
- (EDAMResource *) recv_getResourceByHash;
- (void) send_getResourceRecognition: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSData *) recv_getResourceRecognition;
- (void) send_getResourceAlternateData: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSData *) recv_getResourceAlternateData;
- (void) send_getResourceAttributes: (NSString *) authenticationToken : (EDAMGuid) guid;
- (EDAMResourceAttributes *) recv_getResourceAttributes;
- (void) send_getAccountSize: (NSString *) authenticationToken;
- (int64_t) recv_getAccountSize;
- (void) send_getAds: (NSString *) authenticationToken : (EDAMAdParameters *) adParameters;
- (NSMutableArray *) recv_getAds;
- (void) send_getRandomAd: (NSString *) authenticationToken : (EDAMAdParameters *) adParameters;
- (EDAMAd *) recv_getRandomAd;
- (void) send_getPublicNotebook: (EDAMUserID) userId : (NSString *) publicUri;
- (EDAMNotebook *) recv_getPublicNotebook;
- (void) send_createSharedNotebook: (NSString *) authenticationToken : (EDAMSharedNotebook *) sharedNotebook;
- (EDAMSharedNotebook *) recv_createSharedNotebook;
- (void) send_sendMessageToSharedNotebookMembers: (NSString *) authenticationToken : (EDAMGuid) notebookGuid : (NSString *) messageText : (NSMutableArray *) recipients;
- (int32_t) recv_sendMessageToSharedNotebookMembers;
- (void) send_listSharedNotebooks: (NSString *) authenticationToken;
- (NSMutableArray *) recv_listSharedNotebooks;
- (void) send_expungeSharedNotebooks: (NSString *) authenticationToken : (NSMutableArray *) sharedNotebookIds;
- (int32_t) recv_expungeSharedNotebooks;
- (void) send_createLinkedNotebook: (NSString *) authenticationToken : (EDAMLinkedNotebook *) linkedNotebook;
- (EDAMLinkedNotebook *) recv_createLinkedNotebook;
- (void) send_updateLinkedNotebook: (NSString *) authenticationToken : (EDAMLinkedNotebook *) linkedNotebook;
- (int32_t) recv_updateLinkedNotebook;
- (void) send_listLinkedNotebooks: (NSString *) authenticationToken;
- (NSMutableArray *) recv_listLinkedNotebooks;
- (void) send_expungeLinkedNotebook: (NSString *) authenticationToken : (EDAMGuid) guid;
- (int32_t) recv_expungeLinkedNotebook;
- (void) send_authenticateToSharedNotebook: (NSString *) shareKey : (NSString *) authenticationToken;
- (EDAMAuthenticationResult *) recv_authenticateToSharedNotebook;
- (void) send_getSharedNotebookByAuth: (NSString *) authenticationToken;
- (EDAMSharedNotebook *) recv_getSharedNotebookByAuth;
- (void) send_emailNote: (NSString *) authenticationToken : (EDAMNoteEmailParameters *) parameters;
- (void) recv_emailNote;
- (void) send_shareNote: (NSString *) authenticationToken : (EDAMGuid) guid;
- (NSString *) recv_shareNote;
- (void) send_stopSharingNote: (NSString *) authenticationToken : (EDAMGuid) guid;
- (void) recv_stopSharingNote;
- (void) send_authenticateToSharedNote: (NSString *) guid : (NSString *) noteKey;
- (EDAMAuthenticationResult *) recv_authenticateToSharedNote;
@end
